<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 32.50: Danh sách người dùng đăng ký</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="canonical"
        href="https://webdesign.tutsplus.com/vi/tutorials/native-popups-and-modals-with-the-html5-dialog-element--cms-23876">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <style>
        .site-dialog {
            overflow: hidden;
            width: 150%;
            max-width: 552px;
            padding: 16px;
            border-width: 3px;
            border-radius: 16px;
            border-color: transparent;
            background: #011600;
            box-shadow: inset 1px 1px 20px 4px rgb(72 241 30);
        }

        .jumbotron {
            border-radius: 16px;
            padding: 2rem 2rem
        }
    </style>
</head>

<body>
    <div class="container bg-light text-center">
        <h2>Danh sách học viên</h2>
        <div class="row form-group">
            <button id="add-user" class="btn btn-success btn-new-user"><i class="fas fa-plus-circle"> Thêm Học
                    viên</i></button>
        </div>
        <div class="row form-group">
            <table id="user-table" class="table table-bordered table-striped table-hover">
                <thead>
                    <tr class="bg-dark text-light">
                        <th>Họ Tên</th>
                        <th>Ngày Sinh</th>
                        <th>Email</th>
                        <th>Số Điện Thoại</th>
                        <th> </th>
                    </tr>
                </thead>
                <tbody id="t-body">

                </tbody>
            </table>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    $(document).ready(function () {
        "use strict";
        const gBASE_URL = "https://devcamp-student.herokuapp.com/users/";

        var gDataUserObject = [];

        var gHO_TEN_COL = 0;
        var gNGAY_SINH_COL = 1;
        var gEMAIL_COL = 2;
        var gSO_DIEN_THOAI_COL = 3;
        var gCOL = 4;

        var gColName = ["name", "birthday", "email", "phone", " "];
        var gTable = $("#table-user").DataTable({
            lengthChange: false,
            searching: false,
            columns: [
                { data: gColName[gHO_TEN_COL] },
                { data: gColName[gNGAY_SINH_COL] },
                { data: gColName[gEMAIL_COL] },
                { data: gColName[gSO_DIEN_THOAI_COL] },
                { data: gColName[gCOL] },
            ],
            columnDefs: [
                {
                    targets:
                        gCOL,
                    defaultContent: `
                    <i class="fas fa-edit" title="edit"> Chỉnh Sửa</i> " | "
                    <i class="fas fa-trash-alt" title="delete"> Xóa</i>
                        `
                }
            ]
        })

        /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
        onPageLoading();
       // $("#table-user").on("click", "tr .btn-edit", onBtnEditData);
       // $("#table-user").on("click", "tr .btn-delete", onBtnDeleteData);

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading() {
            "use strict";
            // b1: tạo request
            $.ajax({
                url: gBASE_URL,
                type: "GET",
                dataType: 'json',
                success: loadDataToTable,
                error: function (ajaxContext) {
                    console.log(ajaxContext.responseText);
                }
            })
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        function loadDataToTable(paramDataUser) {
            gDataUserObject = paramDataUser;
            console.log(gDataUserObject);
            gTable.rows.add(paramDataUser);
            gTable.draw();
        }

    })
</script>

</html>